Name: VLGothic-fonts
Version: 20070901
Release: 1%{?dist}
Summary: VLGothic the Japanese TrueType font

License: Distributable
Group: User Interface/X
URL: http://dicey.org/vlgothic
Source0: http://vinelinux.org/~daisuke/vlgothic/VLGothic-%{version}.tar.bz2
Source1: 30-VLGothic.conf
BuildRoot: %{_tmppath}/VLGothic-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: fontconfig
Obsoletes: VLGothic <= %{version}-%{release}
Provides:  VLGothic = %{version}-%{release}

%description
VLGothic is a Japanese TrueType font maden by Vine Linux project.
The most of grphys are imported from M+ fonts and sazanami mincho, 
and later patched by them.

%prep
%setup -q -n VLGothic


%build


%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/fonts/conf.d
install -p -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/fonts/conf.d

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/fonts/japanese/TrueType
mv *.ttf ${RPM_BUILD_ROOT}/%{_datadir}/fonts/japanese/TrueType


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc README* LICENSE*
%dir %{_datadir}/fonts/japanese/
%dir %{_datadir}/fonts/japanese/TrueType
%config %{_sysconfdir}/fonts/conf.d/30-VLGothic.conf
%{_datadir}/fonts/japanese/TrueType/*.ttf


%changelog
* Sat Sep 09 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070901-1
- Update to 20070901

* Sat Jun 02 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070507-1
- Update to 20070507

* Sun Apr 22 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070328-1
- Update to 20070328

* Wed Jan 03 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20070101-1
- Update to 20070101

* Sun Dec 10 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-5
- Decrease the priority of the VLGothic fonts lower than DejaVu fonts.
- Now config files are replaced by every updating.

* Wed Nov 29 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-4
- Fix the misstyped dist tag.

* Sat Nov 18 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-3
- Modify the specfile along with the Fedora Extras packaging policy.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-2
- Modify the specfile.

* Sun Nov 12 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061026-1
- Preparing for Fedora Extras.

* Sat Oct 28 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20061021-2
- Update to 20061021.

* Tue Sep 19 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060913-2
- Update to 20060913.

* Thu Aug 31 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 20060831-1
- Initial packaging.
